Index: svn/src/mainboard/amd/mahogany_fam10/romstage.c
===================================================================
--- svn.orig/src/mainboard/amd/mahogany_fam10/romstage.c
+++ svn/src/mainboard/amd/mahogany_fam10/romstage.c
@@ -61,9 +61,7 @@
 #if 0
 void die(const char *msg);
 int do_printk(int msg_level, const char *fmt, ...) __attribute__((format(printf, 2, 3)));
-#define printk(BIOS_ERR, fmt, arg...)   do_printk(BIOS_ERR   ,fmt, ##arg)
 #endif
-#define printk(BIOS_INFO, fmt, arg...)   do_printk(BIOS_INFO   ,fmt, ##arg)
 #include "cpu/x86/bist.h"
 
 static int smbus_read_byte(u32 device, u32 address);
@@ -158,7 +156,7 @@ void cache_as_ram_main(unsigned long bis
 	it8718f_enable_serial(0, CONFIG_TTYS0_BASE);
 	uart_init();
 	console_init();
-	printk(BIOS_DEBUG, "\n");
+	printk(DEBUG, "\n");
 
 //	dump_mem(CONFIG_DCACHE_RAM_BASE+CONFIG_DCACHE_RAM_SIZE-0x200, CONFIG_DCACHE_RAM_BASE+CONFIG_DCACHE_RAM_SIZE);
 
@@ -167,10 +165,10 @@ void cache_as_ram_main(unsigned long bis
 
 	// Load MPB
 	val = cpuid_eax(1);
-	printk(BIOS_DEBUG, "BSP Family_Model: %08x \n", val);
-	printk(BIOS_DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
-	printk(BIOS_DEBUG, "bsp_apicid = %02x \n", bsp_apicid);
-	printk(BIOS_DEBUG, "cpu_init_detectedx = %08lx \n", cpu_init_detectedx);
+	printk(DEBUG, "BSP Family_Model: %08x \n", val);
+	printk(DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
+	printk(DEBUG, "bsp_apicid = %02x \n", bsp_apicid);
+	printk(DEBUG, "cpu_init_detectedx = %08lx \n", cpu_init_detectedx);
 
 	/* Setup sysinfo defaults */
 	set_sysinfo_in_ram(0);
@@ -201,7 +199,7 @@ void cache_as_ram_main(unsigned long bis
 
  #if CONFIG_LOGICAL_CPUS==1
 	/* Core0 on each node is configured. Now setup any additional cores. */
-	printk(BIOS_DEBUG, "start_other_cores()\n");
+	printk(DEBUG, "start_other_cores()\n");
 	start_other_cores();
 	post_code(0x37);
 	wait_all_other_cores_started(bsp_apicid);
@@ -215,7 +213,7 @@ void cache_as_ram_main(unsigned long bis
 
  #if FAM10_SET_FIDVID == 1
 	msr = rdmsr(0xc0010071);
-	printk(BIOS_DEBUG, "\nBegin FIDVID MSR 0xc0010071 0x%08x 0x%08x \n", msr.hi, msr.lo);
+	printk(DEBUG, "\nBegin FIDVID MSR 0xc0010071 0x%08x 0x%08x \n", msr.hi, msr.lo);
 
 	/* FIXME: The sb fid change may survive the warm reset and only
 	   need to be done once.*/
@@ -233,7 +231,7 @@ void cache_as_ram_main(unsigned long bis
 
 	/* show final fid and vid */
 	msr=rdmsr(0xc0010071);
-	printk(BIOS_DEBUG, "End FIDVIDMSR 0xc0010071 0x%08x 0x%08x \n", msr.hi, msr.lo);
+	printk(DEBUG, "End FIDVIDMSR 0xc0010071 0x%08x 0x%08x \n", msr.hi, msr.lo);
  #endif
 
 	rs780_htinit();
@@ -248,7 +246,7 @@ void cache_as_ram_main(unsigned long bis
 	post_code(0x3B);
 
 	/* It's the time to set ctrl in sysinfo now; */
-	printk(BIOS_DEBUG, "fill_mem_ctrl()\n");
+	printk(DEBUG, "fill_mem_ctrl()\n");
 	fill_mem_ctrl(sysinfo->nodes, sysinfo->ctrl, spd_addr);
 	post_code(0x3D);
 
@@ -257,7 +255,7 @@ void cache_as_ram_main(unsigned long bis
 
 //	die("Die Before MCT init.");
 
-	printk(BIOS_DEBUG, "raminit_amdmct()\n");
+	printk(DEBUG, "raminit_amdmct()\n");
 	raminit_amdmct(sysinfo);
 	post_code(0x41);
 
@@ -277,7 +275,7 @@ void cache_as_ram_main(unsigned long bis
 	sb700_before_pci_init();
 
 	post_code(0x42);
-	printk(BIOS_DEBUG, "\n*** Yes, the copy/decompress is taking a while, FIXME!\n");
+	printk(DEBUG, "\n*** Yes, the copy/decompress is taking a while, FIXME!\n");
 	post_cache_as_ram();	// BSP switch stack to ram, copy then execute LB.
 	post_code(0x43);	// Should never see this post code.
 }
Index: svn/src/mainboard/amd/norwich/mainboard.c
===================================================================
--- svn.orig/src/mainboard/amd/norwich/mainboard.c
+++ svn/src/mainboard/amd/norwich/mainboard.c
@@ -23,8 +23,8 @@
 
 static void init(struct device *dev)
 {
-	printk(BIOS_DEBUG, "Norwich ENTER %s\n", __func__);
-	printk(BIOS_DEBUG, "Norwich EXIT %s\n", __func__);
+	printk(DEBUG, "Norwich ENTER %s\n", __func__);
+	printk(DEBUG, "Norwich EXIT %s\n", __func__);
 }
 
 static void enable_dev(struct device *dev)
Index: svn/src/mainboard/amd/pistachio/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/amd/pistachio/acpi_tables.c
+++ svn/src/mainboard/amd/pistachio/acpi_tables.c
@@ -49,9 +49,9 @@ static void dump_mem(u32 start, u32 end)
 	print_debug("dump_mem:");
 	for (i = start; i < end; i++) {
 		if ((i & 0xf) == 0) {
-			printk(BIOS_DEBUG, "\n%08x:", i);
+			printk(DEBUG, "\n%08x:", i);
 		}
-		printk(BIOS_DEBUG, " %02x", (u8)*((u8 *)i));
+		printk(DEBUG, " %02x", (u8)*((u8 *)i));
 	}
 	print_debug("\n");
 }
@@ -140,7 +140,7 @@ unsigned long write_acpi_tables(unsigned
 	start = (start + 0x0f) & -0x10;
 	current = start;
 
-	printk(BIOS_INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
+	printk(INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
 
 	/* We need at least an RSDP and an RSDT Table */
 	rsdp = (acpi_rsdp_t *) current;
@@ -158,20 +158,20 @@ unsigned long write_acpi_tables(unsigned
 	 * We explicitly add these tables later on:
 	 */
 	/* If we want to use HPET Timers Linux wants an MADT */
-	printk(BIOS_DEBUG, "ACPI:    * HPET\n");
+	printk(DEBUG, "ACPI:    * HPET\n");
 	hpet = (acpi_hpet_t *) current;
 	current += sizeof(acpi_hpet_t);
 	acpi_create_hpet(hpet);
 	acpi_add_table(rsdp, hpet);
 
-	printk(BIOS_DEBUG, "ACPI:    * MADT\n");
+	printk(DEBUG, "ACPI:    * MADT\n");
 	madt = (acpi_madt_t *) current;
 	acpi_create_madt(madt);
 	current += madt->header.length;
 	acpi_add_table(rsdp, madt);
 
 	/* SSDT */
-	printk(BIOS_DEBUG, "ACPI:    * SSDT\n");
+	printk(DEBUG, "ACPI:    * SSDT\n");
 	ssdt = (acpi_header_t *)current;
 
 	acpi_create_ssdt_generator(ssdt, "DYNADATA");
@@ -179,20 +179,20 @@ unsigned long write_acpi_tables(unsigned
 	acpi_add_table(rsdp, ssdt);
 
 	/* FACS */
-	printk(BIOS_DEBUG, "ACPI:    * FACS\n");
+	printk(DEBUG, "ACPI:    * FACS\n");
 	facs = (acpi_facs_t *) current;
 	current += sizeof(acpi_facs_t);
 	acpi_create_facs(facs);
 
 	/* DSDT */
-	printk(BIOS_DEBUG, "ACPI:    * DSDT\n");
+	printk(DEBUG, "ACPI:    * DSDT\n");
 	dsdt = (acpi_header_t *) current;
 	memcpy((void *)dsdt, &AmlCode, AmlCode.length);
 
 	current += dsdt->length;
-	printk(BIOS_DEBUG, "ACPI:    * DSDT @ %p Length %x\n", dsdt, dsdt->length);
+	printk(DEBUG, "ACPI:    * DSDT @ %p Length %x\n", dsdt, dsdt->length);
 	/* FADT */
-	printk(BIOS_DEBUG, "ACPI:    * FADT\n");
+	printk(DEBUG, "ACPI:    * FADT\n");
 	fadt = (acpi_fadt_t *) current;
 	current += sizeof(acpi_fadt_t);
 
@@ -200,22 +200,22 @@ unsigned long write_acpi_tables(unsigned
 	acpi_add_table(rsdp, fadt);
 
 #if DUMP_ACPI_TABLES == 1
-	printk(BIOS_DEBUG, "rsdp\n");
+	printk(DEBUG, "rsdp\n");
 	dump_mem(rsdp, ((void *)rsdp) + sizeof(acpi_rsdp_t));
 
-	printk(BIOS_DEBUG, "rsdt\n");
+	printk(DEBUG, "rsdt\n");
 	dump_mem(rsdt, ((void *)rsdt) + sizeof(acpi_rsdt_t));
 
-	printk(BIOS_DEBUG, "madt\n");
+	printk(DEBUG, "madt\n");
 	dump_mem(madt, ((void *)madt) + madt->header.length);
 
-	printk(BIOS_DEBUG, "ssdt\n");
+	printk(DEBUG, "ssdt\n");
 	dump_mem(ssdt, ((void *)ssdt) + ssdt->length);
 
-	printk(BIOS_DEBUG, "fadt\n");
+	printk(DEBUG, "fadt\n");
 	dump_mem(fadt, ((void *)fadt) + fadt->header.length);
 #endif
 
-	printk(BIOS_INFO, "ACPI: done.\n");
+	printk(INFO, "ACPI: done.\n");
 	return current;
 }
Index: svn/src/mainboard/amd/pistachio/fadt.c
===================================================================
--- svn.orig/src/mainboard/amd/pistachio/fadt.c
+++ svn/src/mainboard/amd/pistachio/fadt.c
@@ -46,7 +46,7 @@ void acpi_create_fadt(acpi_fadt_t * fadt
 	acpi_header_t *header = &(fadt->header);
 
 	pm_base &= 0xFFFF;
-	printk(BIOS_DEBUG, "pm_base: 0x%04x\n", pm_base);
+	printk(DEBUG, "pm_base: 0x%04x\n", pm_base);
 
 	/* Prepare the header */
 	memset((void *)fadt, 0, sizeof(acpi_fadt_t));
Index: svn/src/mainboard/amd/pistachio/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/amd/pistachio/irq_tables.c
+++ svn/src/mainboard/amd/pistachio/irq_tables.c
@@ -73,7 +73,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be betweeen 0xf0000 & 0x100000 */
-	printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+	printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (u8 *) (addr);
@@ -113,7 +113,7 @@ unsigned long write_pirq_routing_table(u
 		pirq->checksum = sum;
 	}
 
-	printk(BIOS_INFO, "write_pirq_routing_table done.\n");
+	printk(INFO, "write_pirq_routing_table done.\n");
 
 	return (unsigned long)pirq_info;
 }
Index: svn/src/mainboard/amd/pistachio/mainboard.c
===================================================================
--- svn.orig/src/mainboard/amd/pistachio/mainboard.c
+++ svn/src/mainboard/amd/pistachio/mainboard.c
@@ -61,7 +61,7 @@ static void enable_onboard_nic()
 {
 	u8 byte;
 
-	printk(BIOS_INFO, "%s.\n", __func__);
+	printk(INFO, "%s.\n", __func__);
 
 	/* enable GPM8 output */
 	byte = pm_ioread(0x95);
@@ -155,7 +155,7 @@ static void set_thermal_config()
 	/* remote 1 temperature offset */
 	ADT7475_write_byte(0x70, 0x00);
 
-	printk(BIOS_INFO, "Init adt7475 end , status 0x42 %02x, status 0x41 %02x\n",
+	printk(INFO, "Init adt7475 end , status 0x42 %02x, status 0x41 %02x\n",
 		    byte2, byte);
 
 	/* sb600 setting for thermal config. Set SB600 GPM5 to trigger ACPI event */
@@ -261,19 +261,19 @@ void pistachio_enable(device_t dev)
 	struct mainboard_config *mainboard =
 	    (struct mainboard_config *)dev->chip_info;
 
-	printk(BIOS_INFO, "Mainboard Pistachio Enable. dev=0x%p\n", dev);
+	printk(INFO, "Mainboard Pistachio Enable. dev=0x%p\n", dev);
 
 #if (CONFIG_GFXUMA == 1)
 	msr_t msr, msr2;
 
 	/* TOP_MEM: the top of DRAM below 4G */
 	msr = rdmsr(TOP_MEM);
-	printk(BIOS_INFO, "%s, TOP MEM: msr.lo = 0x%08x, msr.hi = 0x%08x\n",
+	printk(INFO, "%s, TOP MEM: msr.lo = 0x%08x, msr.hi = 0x%08x\n",
 		    __func__, msr.lo, msr.hi);
 
 	/* TOP_MEM2: the top of DRAM above 4G */
 	msr2 = rdmsr(TOP_MEM2);
-	printk(BIOS_INFO, "%s, TOP MEM2: msr2.lo = 0x%08x, msr2.hi = 0x%08x\n",
+	printk(INFO, "%s, TOP MEM2: msr2.lo = 0x%08x, msr2.hi = 0x%08x\n",
 		    __func__, msr2.lo, msr2.hi);
 
 	switch (msr.lo) {
@@ -295,7 +295,7 @@ void pistachio_enable(device_t dev)
 	}
 
 	uma_memory_base = msr.lo - uma_memory_size;	/* TOP_MEM1 */
-	printk(BIOS_INFO, "%s: uma size 0x%08llx, memory start 0x%08llx\n",
+	printk(INFO, "%s: uma size 0x%08llx, memory start 0x%08llx\n",
 		    __func__, uma_memory_size, uma_memory_base);
 
 	/* TODO: TOP_MEM2 */
@@ -315,7 +315,7 @@ int add_mainboard_resources(struct lb_me
 	 * in some circumstances we want the memory mentioned as reserved.
  	 */
 #if (CONFIG_GFXUMA == 1)
-	printk(BIOS_INFO, "uma_memory_base=0x%llx, uma_memory_size=0x%llx \n",
+	printk(INFO, "uma_memory_base=0x%llx, uma_memory_size=0x%llx \n",
 	uma_memory_base, uma_memory_size);
 	lb_add_memory_range(mem, LB_MEM_RESERVED,
 		uma_memory_base, uma_memory_size);
Index: svn/src/mainboard/amd/pistachio/mptable.c
===================================================================
--- svn.orig/src/mainboard/amd/pistachio/mptable.c
+++ svn/src/mainboard/amd/pistachio/mptable.c
@@ -199,7 +199,7 @@ static void *smp_write_config_table(void
 	mc->mpe_checksum =
 	    smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		     mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/amd/pistachio/romstage.c
===================================================================
--- svn.orig/src/mainboard/amd/pistachio/romstage.c
+++ svn/src/mainboard/amd/pistachio/romstage.c
@@ -127,7 +127,7 @@ void cache_as_ram_main(unsigned long bis
 
 	/* Halt if there was a built in self test failure */
 	report_bist_failure(bist);
-	printk(BIOS_DEBUG, "bsp_apicid=0x%x\n", bsp_apicid);
+	printk(DEBUG, "bsp_apicid=0x%x\n", bsp_apicid);
 
 	setup_pistachio_resource_map();
 
@@ -157,7 +157,7 @@ void cache_as_ram_main(unsigned long bis
 
 		/* Read FIDVID_STATUS */
 		msr=rdmsr(0xc0010042);
-		printk(BIOS_DEBUG, "begin msr fid, vid: hi=0x%x, lo=0x%x\n", msr.hi, msr.lo);
+		printk(DEBUG, "begin msr fid, vid: hi=0x%x, lo=0x%x\n", msr.hi, msr.lo);
 
 		enable_fid_change();
 		enable_fid_change_on_sb(sysinfo->sbbusn, sysinfo->sbdn);
@@ -165,10 +165,10 @@ void cache_as_ram_main(unsigned long bis
 
 		/* show final fid and vid */
 		msr=rdmsr(0xc0010042);
-		printk(BIOS_DEBUG, "end msr fid, vid: hi=0x%x, lo=0x%x\n", msr.hi, msr.lo);
+		printk(DEBUG, "end msr fid, vid: hi=0x%x, lo=0x%x\n", msr.hi, msr.lo);
 
 	} else {
-		printk(BIOS_DEBUG, "Changing FIDVID not supported\n");
+		printk(DEBUG, "Changing FIDVID not supported\n");
 	}
 
 	post_code(0x05);
@@ -176,7 +176,7 @@ void cache_as_ram_main(unsigned long bis
 	needs_reset = optimize_link_coherent_ht();
 	needs_reset |= optimize_link_incoherent_ht(sysinfo);
 	rs690_htinit();
-	printk(BIOS_DEBUG, "needs_reset=0x%x\n", needs_reset);
+	printk(DEBUG, "needs_reset=0x%x\n", needs_reset);
 
 	post_code(0x06);
 
@@ -188,7 +188,7 @@ void cache_as_ram_main(unsigned long bis
 	allow_all_aps_stop(bsp_apicid);
 
 	/* It's the time to set ctrl now; */
-	printk(BIOS_DEBUG, "sysinfo->nodes: %2x  sysinfo->ctrl: %p  spd_addr: %p\n",
+	printk(DEBUG, "sysinfo->nodes: %2x  sysinfo->ctrl: %p  spd_addr: %p\n",
 		     sysinfo->nodes, sysinfo->ctrl, spd_addr);
 	fill_mem_ctrl(sysinfo->nodes, sysinfo->ctrl, spd_addr);
 
Index: svn/src/mainboard/amd/rumba/mainboard.c
===================================================================
--- svn.orig/src/mainboard/amd/rumba/mainboard.c
+++ svn/src/mainboard/amd/rumba/mainboard.c
@@ -16,19 +16,19 @@ static void init(struct device *dev) {
 	if (mainboard->nicirq)
 		nicirq = mainboard->nicirq;
 
-	printk(BIOS_DEBUG, "AMD RUMBA ENTER %s\n", __func__);
+	printk(DEBUG, "AMD RUMBA ENTER %s\n", __func__);
 
 	if (nicirq) {
-		printk(BIOS_DEBUG, "%s (%x,%x)SET PCI interrupt line to %d\n", 
+		printk(DEBUG, "%s (%x,%x)SET PCI interrupt line to %d\n",
 			__func__, bus, devfn, nicirq);
 		nic = dev_find_slot(bus, devfn);
 		if (! nic){
-			printk(BIOS_ERR, "Could not find NIC\n");
+			printk(ERROR, "Could not find NIC\n");
 		} else {
 			pci_write_config8(nic, PCI_INTERRUPT_LINE, nicirq);
 		}
 	}
-	printk(BIOS_DEBUG, "AMD RUMBA EXIT %s\n", __func__);
+	printk(DEBUG, "AMD RUMBA EXIT %s\n", __func__);
 }
 
 static void enable_dev(struct device *dev)
Index: svn/src/mainboard/amd/serengeti_cheetah/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/amd/serengeti_cheetah/acpi_tables.c
+++ svn/src/mainboard/amd/serengeti_cheetah/acpi_tables.c
@@ -30,9 +30,9 @@ static void dump_mem(u32 start, u32 end)
 	print_debug("dump_mem:");
 	for(i=start;i<end;i++) {
 		if((i & 0xf)==0) {
-			printk(BIOS_DEBUG, "\n%08x:", i);
+			printk(DEBUG, "\n%08x:", i);
 		}
-		printk(BIOS_DEBUG, " %02x", (unsigned char)*((unsigned char *)i));
+		printk(DEBUG, " %02x", (unsigned char)*((unsigned char *)i));
 	}
 	print_debug("\n");
 }
@@ -204,7 +204,7 @@ unsigned long write_acpi_tables(unsigned
 	start = ( start + 0x0f) & -0x10;
 	current = start;
 
-	printk(BIOS_INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
+	printk(INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
 
 	/* We need at least an RSDP and an RSDT Table */
 	rsdp = (acpi_rsdp_t *) current;
@@ -221,35 +221,35 @@ unsigned long write_acpi_tables(unsigned
 	/*
 	 * We explicitly add these tables later on:
 	 */
-	printk(BIOS_DEBUG, "ACPI:    * HPET at %lx\n", current);
+	printk(DEBUG, "ACPI:    * HPET at %lx\n", current);
 	hpet = (acpi_hpet_t *) current;
 	current += sizeof(acpi_hpet_t);
 	acpi_create_hpet(hpet);
 	acpi_add_table(rsdp, hpet);
 
 	/* If we want to use HPET Timers Linux wants an MADT */
-	printk(BIOS_DEBUG, "ACPI:    * MADT at %lx\n", current);
+	printk(DEBUG, "ACPI:    * MADT at %lx\n", current);
 	madt = (acpi_madt_t *) current;
 	acpi_create_madt(madt);
 	current+=madt->header.length;
 	acpi_add_table(rsdp, madt);
 
 	/* SRAT */
-	printk(BIOS_DEBUG, "ACPI:    * SRAT at %lx\n", current);
+	printk(DEBUG, "ACPI:    * SRAT at %lx\n", current);
 	srat = (acpi_srat_t *) current;
 	acpi_create_srat(srat);
 	current+=srat->header.length;
 	acpi_add_table(rsdp, srat);
 
 	/* SLIT */
-	printk(BIOS_DEBUG, "ACPI:   * SLIT at %lx\n", current);
+	printk(DEBUG, "ACPI:   * SLIT at %lx\n", current);
 	slit = (acpi_slit_t *) current;
 	acpi_create_slit(slit);
 	current+=slit->header.length;
 	acpi_add_table(rsdp, slit);
 
 	/* SSDT */
-	printk(BIOS_DEBUG, "ACPI:    * SSDT at %lx\n", current);
+	printk(DEBUG, "ACPI:    * SSDT at %lx\n", current);
 	ssdt = (acpi_header_t *)current;
 
 	acpi_create_ssdt_generator(ssdt, "DYNADATA");
@@ -270,7 +270,7 @@ unsigned long write_acpi_tables(unsigned
 			c  = (u8) ('A' + i - 1 - 6);
 		}
 		current = ( current + 0x07) & -0x08;
-		printk(BIOS_DEBUG, "ACPI:    * SSDT for PCI%c Aka hcid = %d\n", c, sysconf.hcid[i]); //pci0 and pci1 are in dsdt
+		printk(DEBUG, "ACPI:    * SSDT for PCI%c Aka hcid = %d\n", c, sysconf.hcid[i]); //pci0 and pci1 are in dsdt
 		ssdtx = (acpi_header_t *)current;
 		switch(sysconf.hcid[i]) {
 		case 1: //8132
@@ -295,20 +295,20 @@ unsigned long write_acpi_tables(unsigned
 #endif
 
 	/* FACS */
-	printk(BIOS_DEBUG, "ACPI:    * FACS\n");
+	printk(DEBUG, "ACPI:    * FACS\n");
 	facs = (acpi_facs_t *) current;
 	current += sizeof(acpi_facs_t);
 	acpi_create_facs(facs);
 
 	/* DSDT */
-	printk(BIOS_DEBUG, "ACPI:    * DSDT at %lx\n", current);
+	printk(DEBUG, "ACPI:    * DSDT at %lx\n", current);
 	dsdt = (acpi_header_t *)current;
 	current += AmlCode.length;
 	memcpy((void *)dsdt, &AmlCode, AmlCode.length);
-	printk(BIOS_DEBUG, "ACPI:    * DSDT @ %p Length %x\n", dsdt, dsdt->length);
+	printk(DEBUG, "ACPI:    * DSDT @ %p Length %x\n", dsdt, dsdt->length);
 
 	/* FDAT */
-	printk(BIOS_DEBUG, "ACPI:    * FADT at %lx\n", current);
+	printk(DEBUG, "ACPI:    * FADT at %lx\n", current);
 	fadt = (acpi_fadt_t *) current;
 	current += sizeof(acpi_fadt_t);
 
@@ -316,29 +316,29 @@ unsigned long write_acpi_tables(unsigned
 	acpi_add_table(rsdp, fadt);
 
 #if DUMP_ACPI_TABLES == 1
-	printk(BIOS_DEBUG, "rsdp\n");
+	printk(DEBUG, "rsdp\n");
 	dump_mem(rsdp, ((void *)rsdp) + sizeof(acpi_rsdp_t));
 
-	printk(BIOS_DEBUG, "rsdt\n");
+	printk(DEBUG, "rsdt\n");
 	dump_mem(rsdt, ((void *)rsdt) + sizeof(acpi_rsdt_t));
 
-	printk(BIOS_DEBUG, "madt\n");
+	printk(DEBUG, "madt\n");
 	dump_mem(madt, ((void *)madt) + madt->header.length);
 
-	printk(BIOS_DEBUG, "srat\n");
+	printk(DEBUG, "srat\n");
 	dump_mem(srat, ((void *)srat) + srat->header.length);
 
-	printk(BIOS_DEBUG, "slit\n");
+	printk(DEBUG, "slit\n");
 	dump_mem(slit, ((void *)slit) + slit->header.length);
 
-	printk(BIOS_DEBUG, "ssdt\n");
+	printk(DEBUG, "ssdt\n");
 	dump_mem(ssdt, ((void *)ssdt) + ssdt->length);
 
-	printk(BIOS_DEBUG, "fadt\n");
+	printk(DEBUG, "fadt\n");
 	dump_mem(fadt, ((void *)fadt) + fadt->header.length);
 #endif
 
-	printk(BIOS_INFO, "ACPI: done.\n");
+	printk(INFO, "ACPI: done.\n");
 	return current;
 }
 
Index: svn/src/mainboard/amd/serengeti_cheetah/ap_romstage.c
===================================================================
--- svn.orig/src/mainboard/amd/serengeti_cheetah/ap_romstage.c
+++ svn/src/mainboard/amd/serengeti_cheetah/ap_romstage.c
@@ -67,7 +67,7 @@ void hardwaremain(int ret_addr)
 	id = get_node_core_id_x();
 
 #if CONFIG_USE_PRINTK_IN_CAR
-        printk(BIOS_DEBUG, "CODE IN CACHE ON NODE: %02x\n");
+        printk(DEBUG, "CODE IN CACHE ON NODE: %02x\n");
 #else
         print_debug("CODE IN CACHE ON NODE:"); print_debug_hex8(id.nodeid); print_debug("\n");
 #endif
Index: svn/src/mainboard/amd/serengeti_cheetah/fadt.c
===================================================================
--- svn.orig/src/mainboard/amd/serengeti_cheetah/fadt.c
+++ svn/src/mainboard/amd/serengeti_cheetah/fadt.c
@@ -13,7 +13,7 @@ void acpi_create_fadt(acpi_fadt_t *fadt,
 
 	acpi_header_t *header=&(fadt->header);
 
-	printk(BIOS_DEBUG, "pm_base: 0x%04x\n", pm_base);
+	printk(DEBUG, "pm_base: 0x%04x\n", pm_base);
 
 	/* Prepare the header */
 	memset((void *)fadt,0,sizeof(acpi_fadt_t));
Index: svn/src/mainboard/amd/serengeti_cheetah/get_bus_conf.c
===================================================================
--- svn.orig/src/mainboard/amd/serengeti_cheetah/get_bus_conf.c
+++ svn/src/mainboard/amd/serengeti_cheetah/get_bus_conf.c
@@ -112,11 +112,11 @@ void get_bus_conf(void)
 #if CONFIG_HT_CHAIN_END_UNITID_BASE >= CONFIG_HT_CHAIN_UNITID_BASE
                 m->bus_isa    = pci_read_config8(dev, PCI_SUBORDINATE_BUS);
                 m->bus_isa++;
-//		printk(BIOS_DEBUG, "bus_isa=%d\n",bus_isa);
+//		printk(DEBUG, "bus_isa=%d\n",bus_isa);
 #endif
         }
 	else {
-                printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8111_0, sysconf.sbdn);
+                printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8111_0, sysconf.sbdn);
         }
 
         /* 8132-1 */
@@ -125,7 +125,7 @@ void get_bus_conf(void)
                 m->bus_8132_1 = pci_read_config8(dev, PCI_SECONDARY_BUS);
         }
         else {
-                printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8132_0, m->sbdn3);
+                printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8132_0, m->sbdn3);
         }
 
         /* 8132-2 */
@@ -135,11 +135,11 @@ void get_bus_conf(void)
 #if CONFIG_HT_CHAIN_END_UNITID_BASE < CONFIG_HT_CHAIN_UNITID_BASE
                 m->bus_isa    = pci_read_config8(dev, PCI_SUBORDINATE_BUS);
                 m->bus_isa++;
-//              printk(BIOS_DEBUG, "bus_isa=%d\n",bus_isa);
+//              printk(DEBUG, "bus_isa=%d\n",bus_isa);
 #endif
         }
         else {
-                printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8132_0, m->sbdn3+1);
+                printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8132_0, m->sbdn3+1);
         }
 
         /* HT chain 1 */
@@ -165,7 +165,7 @@ void get_bus_conf(void)
                                 m->bus_8132a[j][1] = pci_read_config8(dev, PCI_SECONDARY_BUS);
                         }
                         else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8132a[j][0], m->sbdn3a[j]);
+                        printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8132a[j][0], m->sbdn3a[j]);
                         }
 
                         /* 8132-2 */
@@ -174,10 +174,10 @@ void get_bus_conf(void)
                                 m->bus_8132a[j][2] = pci_read_config8(dev, PCI_SECONDARY_BUS);
                                 m->bus_isa    = pci_read_config8(dev, PCI_SUBORDINATE_BUS);
                                 m->bus_isa++;
-                //              printk(BIOS_DEBUG, "bus_isa=%d\n",bus_isa);
+                //              printk(DEBUG, "bus_isa=%d\n",bus_isa);
                                 }
                         else {
-                                printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8132a[j][0], m->sbdn3a[j]+1);
+                                printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8132a[j][0], m->sbdn3a[j]+1);
                         }
 
                         break;
@@ -191,12 +191,12 @@ void get_bus_conf(void)
 
                         if (dev) {
                                 m->bus_8151[j][1] = pci_read_config8(dev, PCI_SECONDARY_BUS);
-        //                        printk(BIOS_DEBUG, "bus_8151_1=%d\n",bus_8151[j][1]);
+        //                        printk(DEBUG, "bus_8151_1=%d\n",bus_8151[j][1]);
                                 m->bus_isa = pci_read_config8(dev, PCI_SUBORDINATE_BUS);
                                 m->bus_isa++;
                         }
                         else {
-                                printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8151[j][0], m->sbdn5[j]+1);
+                                printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8151[j][0], m->sbdn5[j]+1);
                         }
 
                         break;
Index: svn/src/mainboard/amd/serengeti_cheetah/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/amd/serengeti_cheetah/irq_tables.c
+++ svn/src/mainboard/amd/serengeti_cheetah/irq_tables.c
@@ -58,7 +58,7 @@ unsigned long write_pirq_routing_table(u
         addr &= ~15;
 
         /* This table must be betweeen 0xf0000 & 0x100000 */
-        printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+        printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
@@ -98,13 +98,13 @@ unsigned long write_pirq_routing_table(u
         }
 
 //pci bridge
-        printk(BIOS_DEBUG, "setting Onboard AMD Southbridge \n");
+        printk(DEBUG, "setting Onboard AMD Southbridge \n");
         static const unsigned char slotIrqs_1_4[4] = { 3, 5, 10, 11 };
         pci_assign_irqs(m->bus_8111_0, sysconf.sbdn+1, slotIrqs_1_4);
 	write_pirq_info(pirq_info, m->bus_8111_0, ((sysconf.sbdn+1)<<3)|0, 0x1, 0xdef8, 0x2, 0xdef8, 0x3, 0xdef8, 0x4, 0xdef8, 0, 0);
 	pirq_info++; slot_num++;
 
-        printk(BIOS_DEBUG, "setting Onboard AMD USB \n");
+        printk(DEBUG, "setting Onboard AMD USB \n");
         static const unsigned char slotIrqs_8111_1_0[4] = { 0, 0, 0, 11};
         pci_assign_irqs(m->bus_8111_1, 0, slotIrqs_8111_1_0);
         write_pirq_info(pirq_info, m->bus_8111_1,0, 0, 0, 0, 0, 0, 0, 0x4, 0xdef8, 0, 0);
@@ -138,7 +138,7 @@ unsigned long write_pirq_routing_table(u
                 pirq->checksum = sum;
         }
 
-	printk(BIOS_INFO, "done.\n");
+	printk(INFO, "done.\n");
 
 	return	(unsigned long) pirq_info;
 
Index: svn/src/mainboard/amd/serengeti_cheetah/mptable.c
===================================================================
--- svn.orig/src/mainboard/amd/serengeti_cheetah/mptable.c
+++ svn/src/mainboard/amd/serengeti_cheetah/mptable.c
@@ -199,7 +199,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/amd/serengeti_cheetah/romstage.c
===================================================================
--- svn.orig/src/mainboard/amd/serengeti_cheetah/romstage.c
+++ svn/src/mainboard/amd/serengeti_cheetah/romstage.c
@@ -201,7 +201,7 @@ void cache_as_ram_main(unsigned long bis
 	/* Halt if there was a built in self test failure */
 	report_bist_failure(bist);
 
-	printk(BIOS_DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
+	printk(DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 
         setup_mb_resource_map();
 #if 0
